| Home | Libraries | People | FAQ | More

## Function template ireplace_nth

boost::algorithm::ireplace_nth — Replace nth algorithm ( case insensitive ).

## Synopsis

    template<typename SequenceT, typename Collection1T, typename Collection2T>
      void ireplace_nth(SequenceT & Input, const Collection1T & Search,
                        unsigned int Nth, const Collection2T & Format,
                        const std::locale & Loc = std::locale());

## Description

Replace an Nth (zero-indexed) match of the search string in the input with the format string. Input sequence is modified in-place. Searching is case insensitive.

Parameters

Format

  A substitute string

Input

  An input string

Loc

  A locale used for case insensitive comparison

Nth

  An index of the match to be replaced. The index is 0-based.

Search

  A substring to be searched for

| Copyright © 2002-2004 Pavol Droba